# Go le language de google
![category](développement)
![tag](go)

Go est un langage de programmation compilé et concurrent inspiré de C et Pascal.
Ce langage a été développé par Google.

Il nécessite une phase de compilation permettant de générer un binaire.

Installation
============

Windows
-------

Il existe sur le site https://golang.org/ un executable msi qui installe l'ensemble
des outils dans C:

Par la suite la ligne de commande permet de lancer l'utilitaire go

```bash
go version

```

Linux
-----

Il existe sur le site https://golang.org/ un tar.gz contenant l'ensemble des utilitaires.

Il suffit donc de le télécharger et de l'installer sur votre systeme

```bash
curl -O https://storage.googleapis.com/golang/go1.11.1.linux-amd64.tar.gz
tar -xvf go1.11.1.linux-amd64.tar.gz
chown -R root:root ./go
mv go /usr/local/go1.11.1
ln -s /usr/local/go1.11.1 /usr/local/go
ln -s /usr/local/go/bin/go /usr/bin/go
```

Exemple
=======

Un exemple simple

```bash
mkdir test
cd test
vi test.go
```

```go
package main

import "fmt"

func main() {
    fmt.Printf("hello, world\n")
}
```

on compile

```bash
go build
```

et on lance

```bash
test```
